// ----------------------------------------------------------------------------
// Whitespace
// ----------------------------------------------------------------------------

/**
This is to help create a simple system for whitespace for blocks. It needs a
single variable: $whitespace

Shorthand Description:
m  Margin
p  Padding
t  Top
r  Right
b  Bottom
l  Left
x  X-axis (left and right)
y  Y-axis (top and bottom)
1  Whitespace Unit * 1
2  Whitespace Unit * 2
etc

EX: (assuming $whitespace = 12px)
.mt4 == margin-top: 48px;
.pl1 == padding-left: 12px;
.py2 == padding-top: 24; padding-bottom: 24px;
*/

$whitespace: spacing(1);

@for $i from 0 through 12 {
    .m#{$i} {
        margin: $whitespace * $i;
    }

    .mt#{$i} {
        margin-top: $whitespace * $i;
    }

    .mr#{$i} {
        margin-right: $whitespace * $i;
    }

    .mb#{$i} {
        margin-bottom: $whitespace * $i;
    }

    .ml#{$i} {
        margin-left: $whitespace * $i;
    }

    .my#{$i} {
        margin-top: $whitespace * $i;
        margin-bottom: $whitespace * $i;
    }

    .mx#{$i} {
        margin-left: $whitespace * $i;
        margin-right: $whitespace * $i;
    }
}

@for $i from 0 through 12 {
    .p#{$i} {
        padding: $whitespace * $i;
    }

    .pt#{$i} {
        padding-top: $whitespace * $i;
    }

    .pr#{$i} {
        padding-right: $whitespace * $i;
    }

    .pb#{$i} {
        padding-bottom: $whitespace * $i;
    }

    .pl#{$i} {
        padding-left: $whitespace * $i;
    }

    .py#{$i} {
        padding-top: $whitespace * $i;
        padding-bottom: $whitespace * $i;
    }

    .px#{$i} {
        padding-left: $whitespace * $i;
        padding-right: $whitespace * $i;
    }
}
